<div class="nav nav-tabs" role="tablist">
    <button class="nav-link active" data-bs-toggle="tab" href="#home">Selektion <span
            class="ovk-symbol">σ</span></button>
    <button class="nav-link" data-bs-toggle="tab" href="#menu1">Projektion <span
            class="ovk-symbol">π</span></button>
    <button class="nav-link" data-bs-toggle="tab" href="#menu2">Kartesisches Produkt <span
            class="ovk-symbol">×</span></button>
    <button class="nav-link" data-bs-toggle="tab" href="#menu3">Natürlicher Verbund <span
            class="ovk-symbol">⋈</span></button>
    <button class="nav-link" data-bs-toggle="tab" href="#menu4">Mengenoperationen</button>
</div>
<div class="tab-content">
    <div class="tab-pane container active" id="home">
        <p>
            Gibt eine Menge von Tupeln einer gegebenen Relation zurück. Es können
            Bedingungen formuliert werden, die für die zurückgegebenen Tupel gelten.
        </p>
        <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-12">
                <p>
                    Gegeben ist folgende Relation:
                </p>
            </div>
            <div class="col-8">
                <table class="result-table">
                    <caption>
                        Produkt
                    </caption>
                    <tr class="head">
                        <td>ID</td>
                        <td>Name</td>
                        <td>Beschreibung</td>
                        <td>Kategorie</td>
                    </tr>
                    <tr>
                        <td>3</td>
                        <td>Waldmeister</td>
                        <td>Erfrischend und sprudelig...</td>
                        <td>Limonade</td>
                    </tr>
                    <tr>
                        <td>10</td>
                        <td>Holzpferd</td>
                        <td>Aus Buchenholz gefertigt...</td>
                        <td>Holzspielzeug</td>
                    </tr>
                    <tr>
                        <td>21</td>
                        <td>Holzeisenbahn</td>
                        <td>Unser Verkaufshit...</td>
                        <td>Holzspielzeug</td>
                    </tr>
                </table>
            </div>
        </div>
        <p>
            Beispielabfrage: &nbsp;&nbsp;<em>Gib mir alle Produkte der Kategorie
                &bdquo;Holzspielzeug&ldquo;.</em><br />
            In Relationenalgebra:&nbsp;&nbsp; <span
                class="ovk-symbol">σ</span><sub>Kategorie="Holzspielzeug"</sub>(Produkt)
        </p>
        <div class="row">
            <div class="col-lg-4 col-md-4 col-sm-12">
                <p>
                    Die Ergebnistabelle lautet:
                </p>
            </div>
            <div class="col-lg-8 col-md-8 col-sm-12">
                <table class="result-table">
                    <caption>
                        <span class="ovk-symbol">σ</span><sub>Kategorie="Holzspielzeug"</sub>(Produkt)
                    </caption>
                    <tr class="head">
                        <td>ID</td>
                        <td>Name</td>
                        <td>Beschreibung</td>
                        <td>Kategorie</td>
                    </tr>
                    <tr>
                        <td>10</td>
                        <td>Holzpferd</td>
                        <td>Aus Buchenholz gefertigt...</td>
                        <td>Holzspielzeug</td>
                    </tr>
                    <tr>
                        <td>21</td>
                        <td>Holzeisenbahn</td>
                        <td>Unser Verkaufshit...</td>
                        <td>Holzspielzeug</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="tab-pane container fade" id="menu1">
        <p>
            Beschreibt die Menge der Attribute, die in der Ergebnistupeln erhalten bleiben sollen.
        </p>
        <div class="row">
            <div class="col-4">
                Gegeben ist folgende Relation:
            </div>
            <div class="col-8">
                <table class="result-table">
                    <caption>
                        Produkt
                    </caption>
                    <tr class="head">
                        <td>ID</td>
                        <td>Name</td>
                        <td>Beschreibung</td>
                        <td>Kategorie</td>
                    </tr>
                    <tr>
                        <td>3</td>
                        <td>Waldmeister</td>
                        <td>Erfrischend und sprudelig...</td>
                        <td>Limonade</td>
                    </tr>
                    <tr>
                        <td>10</td>
                        <td>Holzpferd</td>
                        <td>Aus Buchenholz gefertigt...</td>
                        <td>Holzspielzeug</td>
                    </tr>
                    <tr>
                        <td>21</td>
                        <td>Holzeisenbahn</td>
                        <td>Unser Verkaufshit...</td>
                        <td>Holzspielzeug</td>
                    </tr>
                </table>
            </div>
        </div>
        <br />
        <p>
            Beispielabfrage: <em>Gib mir den Namen aller Produkte der Relation Produkt.</em><br />
            In Relationenalgebra: <span class="ovk-symbol">π</span><sub>Name</sub>(Produkt)
        </p>
        <div class="row">
            <div class="col-4">
                <p>
                    Die Ergebnistabelle lautet:
                </p>
            </div>
            <div class="col-8">

                <table class="result-table">
                    <caption><span class="ovk-symbol">π</span><sub>Name</sub>(Produkt)</caption>
                    <tr class="head">
                        <td>Name</td>
                    </tr>
                    <tr>
                        <td>Waldmeister</td>
                    </tr>
                    <tr>
                        <td>Holzpferd</td>
                    </tr>
                    <tr>
                        <td>Holzeisenbahn</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
    <div class="tab-pane container fade" id="menu2">
        <p>
            Wird auch &bdquo;Kreuzprodukt&ldquo; genannt. Das Resultat des kartesischen Produkts R × S
            ist die Menge aller Kombinationen der Tupel aus <b>R</b> und <b>S</b>, d.&nbsp;h., jede
            Zeile der Tabelle wird mit jeder Zeile der anderen Tabelle kombiniert.
        </p>
        <div class="row">
            <div class="col-lg-4 col-md-12 col-sm-12">
                <p>Beispiel: Gegeben sind die folgenden Relationen <b>Produkt</b> und <b>Bestellung</b>:
            </div>
            <div class="col-lg-4 col-md-5 col-sm-6">
                <table class="result-table">
                    <caption>Produkt</caption>
                    <tr class="head">
                        <td>ProduktNr</td>
                        <td>Name</td>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>Werkzeugkasten</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>Tapeziertisch</td>
                    </tr>
                </table>
            </div>
            <div class="col-lg-4 col-md-7 col-sm-6">
                <table class="result-table">
                    <caption>Bestellung</caption>
                    <tr class="head">
                        <td>BestellNr</td>
                        <td>Datum</td>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>5.1.2021</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>7.3.2021</td>
                    </tr>
                </table>
            </div>
        </div>
        <br />
        <p>
            Wir wollen das Kreuzprodukt beider Relationen berechnen.
        </p>
        <div class="row">
            <div class="col-4">
                <p>
                    Die Ergebnistabelle lautet:
                </p>
            </div>
            <div class="col-8">
                <table class="result-table" style="min-width: 22em;">
                    <caption>Produkt <span class="ovk-symbol">×</span> Bestellung</caption>
                    <tr class="head">
                        <td>ProduktNr</td>
                        <td>Name</td>
                        <td>BestellNr</td>
                        <td>Datum</td>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>Werkzeugkasten</td>
                        <td>1</td>
                        <td>5.1.2021</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>Tapeziertisch</td>
                        <td>1</td>
                        <td>5.1.2021</td>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>Werkzeugkasten</td>
                        <td>2</td>
                        <td>7.1.2021</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>Tapeziertisch</td>
                        <td>2</td>
                        <td>7.3.2021</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>

    <div class="tab-pane container fade" id="menu3">
        <p>
            Der natürliche Verbund verschmilzt zwei Relationen derart, dass Tupel, die in den in beiden
            Relationen gleichlautenden Attributen die gleichen Werte haben, zu einem Tupel zusammengefasst werden.
        </p>
        <div class="row">
            <div class="col-lg-4 col-md-12 col-sm-12">
                <p>Beispiel: Gegeben sind die folgenden Relationen <b>Produkt</b> und <b>Bestellung</b>:
                </p>
            </div>
            <div class="col-lg-4 col-md-5 col-sm-6">
                <table class="result-table">
                    <caption>Bestellung</caption>
                    <tr class="head">
                        <td>BestellNr</td>
                        <td>Datum</td>
                        <td>KundenNr</td>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>5.1.2021</td>
                        <td>8</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>7.3.2021</td>
                        <td>14</td>
                    </tr>
                </table>
            </div>
            <div class="col-lg-4 col-md-7 col-sm-6">
                <table class="result-table">
                    <caption>Kunde</caption>
                    <tr class="head">
                        <td>KundenNr</td>
                        <td>Nachname</td>
                        <td>Vorname</td>
                    </tr>
                    <tr>
                        <td>1</td>
                        <td>Schmidt</td>
                        <td>Lola</td>
                    </tr>
                    <tr>
                        <td>8</td>
                        <td>Schneider</td>
                        <td>Arnold</td>
                    </tr>
                </table>
            </div>
        </div>
        <br />
        <p>
            Beide Relationen haben ein Attribut KundenNr, nur der Wert 8 taucht in beiden Relationen als
            Wert dieses Attributes auf. An diesem Wert können die Relationen nun &bdquo;aneinander
            gehangen&ldquo; werden.
        </p>
        <p>Die Ergebnistabelle lautet:</p>
        <table class="result-table" style="min-width: 10em;">
            <caption>Bestellung <span class="ovk-symbol">⋈</span> Kunde</caption>
            <tr class="head">
                <td>BestellNr</td>
                <td>Datum</td>
                <td>KundenNr</td>
                <td>Nachname</td>
                <td>Vorname</td>
            </tr>
            <tr>
                <td>1</td>
                <td>5.1.2021</td>
                <td>8</td>
                <td>Schneider</td>
                <td>Arnold</td>
            </tr>
        </table>
    </div>
    <div class="tab-pane container fade" id="menu4">
        <p>
            Mengenoperationen kombinieren strukturell gleich aufgebaute Tabellen. Zu ihnen zählen
            z.&nbsp;B. die Vereinigung und die Differenz.
        </p>
        <div class="row">
            <div class="col-lg-5 col-md-6 col-sm-12">
                <p>
                    Gegeben sind folgende Tabellen:<br />
                    <b>GProdukt</b> enthält die Produkte des Großhändlers, <b>SProdukt</b> die Produkte
                    des Shops.
                </p>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-5">
                <table class="result-table">
                    <caption>GProdukt</caption>
                    <tr class="head">
                        <td>Name</td>
                    </tr>
                    <tr>
                        <td>Werkzeugkasten</td>
                    </tr>
                    <tr>
                        <td>Tapeziertisch</td>
                    </tr>
                    <tr>
                        <td>Holzpferd</td>
                    </tr>
                </table>
            </div>
            <div class="col-lg-4 col-md-3 col-sm-6">
                <table class="result-table">
                    <caption>SProdukt</caption>
                    <tr class="head">
                        <td>Name</td>
                    </tr>
                    <tr>
                        <td>Orange</td>
                    </tr>
                    <tr>
                        <td>Waldmeister</td>
                    </tr>
                    <tr>
                        <td>Holzpferd</td>
                    </tr>
                </table>
            </div>
        </div>
        <br />

        <nav>
            <div class="nav nav-tabs" id="nav-tab" role="tablist">
                <button class="nav-link active" id="nav-home-tab" data-bs-toggle="tab"
                    data-bs-target="#nav-home" type="button" role="tab" aria-controls="nav-home"
                    aria-selected="true">Vereinigung <span class="ovk-symbol">∪</span></button>
                <button class="nav-link" id="nav-profile-tab" data-bs-toggle="tab"
                    data-bs-target="#nav-profile" type="button" role="tab" aria-controls="nav-profile"
                    aria-selected="false">Differenz <span class="ovk-symbol">-</span></button>
            </div>
        </nav>
        <div class="tab-content" id="nav-tabContent">
            <div class="tab-pane container fade show active" id="nav-home" role="tabpanel"
                aria-labelledby="nav-home-tab">
                <p>
                    Enthält als Ergebnis die Tupel aus den beiden beteiligten Relationen.
                </p>
                <p>In Relationenalgebra: <span class="ovk-symbol">π</span><sub>Name</sub>(GProdukt)
                    <span class="ovk-symbol">∪</span> <span
                        class="ovk-symbol">π</span><sub>Name</sub>(SProdukt)
                </p>
                <div class="row">
                    <div class="col-4">
                        Die Ergebnistabelle lautet:
                    </div>
                    <div class="col-8">
                        <table class="result-table" style="min-width: 22em;">
                            <caption><span class="ovk-symbol">π</span><sub>Name</sub>(GProdukt) <span
                                    class="ovk-symbol">∪</span> <span
                                    class="ovk-symbol">π</span><sub>Name</sub>(SProdukt)</caption>
                            <tr class="head">
                                <td>Name</td>
                            </tr>
                            <tr>
                                <td>Werkzeugkasten</td>
                            </tr>
                            <tr>
                                <td>Tapeziertisch</td>
                            </tr>
                            <tr>
                                <td>Holzpferd</td>
                            </tr>
                            <tr>
                                <td>Orange</td>
                            </tr>
                            <tr>
                                <td>Waldmeister</td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            <div class="tab-pane container fade" id="nav-profile" role="tabpanel"
                aria-labelledby="nav-profile-tab">
                <p>
                    Die zweite Relation wird von der ersten abgezogen.
                </p>
                <p>In Relationenalgebra: <span class="ovk-symbol">π</span><sub>Name</sub>(GProdukt)
                    <span class="ovk-symbol">-</span> <span
                        class="ovk-symbol">π</span><sub>Name</sub>(SProdukt)
                </p>
                <div class="row">
                    <div class="col-4">
                        Die Ergebnistabelle lautet:
                    </div>
                    <div class="col-8">
                        <table class="result-table" style="min-width: 22em;">
                            <caption><span class="ovk-symbol">π</span><sub>Name</sub>(GProdukt) <span
                                    class="ovk-symbol">-</span> <span
                                    class="ovk-symbol">π</span><sub>Name</sub>(SProdukt)</caption>
                            <tr class="head">
                                <td>Name</td>
                            </tr>
                            <tr>
                                <td>Werkzeugkasten</td>
                            </tr>
                            <tr>
                                <td>Tapeziertisch</td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>